diff --git a/.gitignore b/.gitignore
index 794e35b..ca14134 100644
diff --git a/src/tools/make_ctags b/src/tools/make_ctags
index 1609c07..052d1e4 100755
--- a/src/tools/make_ctags
+++ b/src/tools/make_ctags
@@ -2,6 +2,13 @@
 
 # src/tools/make_ctags
 
+if [ ! $(command -v ctags) ]
+then
+  echo "'ctags' utility is not found" 1>&2
+  echo "Please install 'ctags' to run make_ctags" 1>&2
+  exit 1
+fi
+
 trap "rm -f /tmp/$$" 0 1 2 3 15
 rm -f ./tags
 
diff --git a/src/tools/make_etags b/src/tools/make_etags
index 3ce96bc..68738e4 100755
--- a/src/tools/make_etags
+++ b/src/tools/make_etags
@@ -2,6 +2,13 @@
 
 # src/tools/make_etags
 
+if [ ! $(command -v etags) ]
+then
+  echo "'etags' utility is not found" 1>&2
+  echo "Please install 'etags' to run make_etags" 1>&2
+  exit 1
+fi
+
 rm -f ./TAGS
 
 find `pwd`/ -type f -name '*.[chyl]' -print |
